org.keycloak.partialimport

## Class GroupsPartialImport

- java.lang.Object
- - org.keycloak.partialimport.AbstractPartialImport<GroupRepresentation>
  - - org.keycloak.partialimport.GroupsPartialImport

- All Implemented Interfaces:
    PartialImport<GroupRepresentation>

      public class GroupsPartialImport
      extends AbstractPartialImport<GroupRepresentation>

  Partial import handler for Groups.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.partialimport.AbstractPartialImport

      `toOverwrite, toSkip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupsPartialImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(RealmModel realm, KeycloakSession session, GroupRepresentation groupRep)`
    `boolean` | `exists(RealmModel realm, KeycloakSession session, GroupRepresentation groupRep)`
    `String` | `existsMessage(RealmModel realm, GroupRepresentation groupRep)`
    `String` | `getModelId(RealmModel realm, KeycloakSession session, GroupRepresentation groupRep)`
    `String` | `getName(GroupRepresentation group)`
    `List<GroupRepresentation>` | `getRepList(PartialImportRepresentation partialImportRep)`
    `ResourceType` | `getResourceType()`
    `void` | `remove(RealmModel realm, KeycloakSession session, GroupRepresentation groupRep)`

    - ### Methods inherited from class org.keycloak.partialimport.AbstractPartialImport

      `added, doImport, existsError, overwritten, prepare, removeOverwrites, skipped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupsPartialImport

          public GroupsPartialImport()

  - ### Method Detail

    - #### getRepList

          public List<GroupRepresentation> getRepList(PartialImportRepresentation partialImportRep)

      Specified by:
        `getRepList` in class `AbstractPartialImport<GroupRepresentation>`

    - #### getName

          public String getName(GroupRepresentation group)

      Specified by:
        `getName` in class `AbstractPartialImport<GroupRepresentation>`

    - #### getModelId

          public String getModelId(RealmModel realm,
                                   KeycloakSession session,
                                   GroupRepresentation groupRep)

      Specified by:
        `getModelId` in class `AbstractPartialImport<GroupRepresentation>`

    - #### exists

          public boolean exists(RealmModel realm,
                                KeycloakSession session,
                                GroupRepresentation groupRep)

      Specified by:
        `exists` in class `AbstractPartialImport<GroupRepresentation>`

    - #### existsMessage

          public String existsMessage(RealmModel realm,
                                      GroupRepresentation groupRep)

      Specified by:
        `existsMessage` in class `AbstractPartialImport<GroupRepresentation>`

    - #### getResourceType

          public ResourceType getResourceType()

      Specified by:
        `getResourceType` in class `AbstractPartialImport<GroupRepresentation>`

    - #### remove

          public void remove(RealmModel realm,
                             KeycloakSession session,
                             GroupRepresentation groupRep)

      Specified by:
        `remove` in class `AbstractPartialImport<GroupRepresentation>`

    - #### create

          public void create(RealmModel realm,
                             KeycloakSession session,
                             GroupRepresentation groupRep)

      Specified by:
        `create` in class `AbstractPartialImport<GroupRepresentation>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.